Page MenuHomePhabricator

Make facet unselection more discoverable
Closed, ResolvedPublic

Description

This task aims at polishing user interface like

  • Add Status filter to select through tab or facet. Done as part of T100175 (tabs).
  • Make facet unselection more discoverable (not only re-click)

Event Timeline

Phoenix303 claimed this task.
Phoenix303 raised the priority of this task from to Needs Triage.
Phoenix303 updated the task description. (Show Details)
Phoenix303 added subscribers: Nemo_bis, Nikerabbit.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 8 2015, 2:11 AM
Nemo_bis renamed this task from UI polishing for translation search to UI polishing for translation search selectors.May 25 2015, 11:38 AM
Nemo_bis set Security to None.
Nemo_bis triaged this task as Normal priority.May 25 2015, 11:42 AM
Nemo_bis renamed this task from UI polishing for translation search selectors to Make facet unselection more discoverable.Aug 17 2015, 9:19 AM
Nemo_bis lowered the priority of this task from Normal to Low.
Nemo_bis updated the task description. (Show Details)

Ok, scoped down a bit because we're mostly happy of the interface and the main current (low priority) issues are tracked at T100346#1544094.

So in short we just need to add an X somewhere to the right of the selected facets, right? That seems to be what most search interfaces do.

So in short we just need to add an X somewhere to the right of the selected facets, right? That seems to be what most search interfaces do.

Sounds simple and effective. Just to have to figure out where exactly it fits because the number is on the right as well.

Phoenix303 added a comment.EditedAug 18 2015, 5:21 AM

Something like this. I have used an alphabet 'X' here. Does the positioning look good? what about the color, I think a different color like red would look better?

Change 232392 had a related patch set uploaded (by Phoenix303):
List the selected filters at the top left in Special:SearchTranslations.

https://gerrit.wikimedia.org/r/232392

Change 232392 merged by jenkins-bot:
List the selected filters at the top left in Special:SearchTranslations.

https://gerrit.wikimedia.org/r/232392

Nemo_bis closed this task as Resolved.Aug 23 2015, 7:14 AM